Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.categorization.model
Interface VCategory

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VAbstractCategorization, VCategorizableElement, VElement

All Known Subinterfaces:
  DynamicContainmentTree

All Known Implementing Classes:
  DynamicContainmentTreeImpl, VCategoryImpl

    public interface VCategory

extends VAbstractCategorization

A representation of the model object 'Category'.

The following features are supported:

- `Composite`

See Also:
  `VCategorizationPackage.getCategory()`

Method Summary
`VContainedElement` | `getComposite()` Returns the value of the 'Composite' containment reference.
`void` | `setComposite(VContainedElement value)` Sets the value of the '`Composite`' containment reference.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.categorization.model.VAbstractCategorization
`getActions`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.categorization.model.VCategorizableElement
`getECPActions, getLabelObject, setECPActions`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VElement
`getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getComposite

    VContainedElement getComposite()

  Returns the value of the 'Composite' containment reference.

  If the meaning of the 'Composite' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Composite' containment reference.
  See Also:
    `setComposite(VContainedElement)`, `VCategorizationPackage.getCategory_Composite()`

### setComposite

    void setComposite(VContainedElement value)

  Sets the value of the '`Composite`' containment reference.

  Parameters:
    `value` - the new value of the 'Composite' containment reference.
  See Also:
    `getComposite()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.